Applies a custom convolution kernel to the image

- « Imagick::contrastStretchImage

- Imagick::count »

- PHP Manual
- Imagick
- Applies a custom convolution kernel to the image

# Imagick::convolveImage

(PECL imagick 2, PECL imagick 3)

Imagick::convolveImage — Applies a custom convolution kernel to the image

### Description

public Imagick::convolveImage(array `$kernel`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Applies a custom convolution kernel to the image.

### Parameters

`kernel`

  The convolution kernel

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::convolveImage()

    <?phpfunction convolveImage($imagePath, $bias, $kernelMatrix) {    $imagick = new \Imagick(realpath($imagePath));        //$edgeFindingKernel = [-1, -1, -1, -1, 8, -1, -1, -1, -1,];    $imagick->setImageBias($bias * \Imagick::getQuantum());    $imagick->convolveImage($kernelMatrix);    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>